log4shib::TimeStamp(3)

NAME
log4shib::TimeStamp - A simple TimeStamp abstraction.

SYNOPSIS

#include <TimeStamp.hh>

  Public Member Functions
TimeStamp ()
Constructs a TimeStamp representing 'now'.
TimeStamp (unsigned int seconds, unsigned int microSeconds=0)
Constructs a TimeStamp representing the given offset since the epoch ( 00:00:00 1970/1/1 UTC).
int getSeconds () const
Returns the 'seconds' part of the TimeStamp.
int getMilliSeconds () const
Returns the 'subseconds' part of the TimeStamp in milliseconds, getMilliSeconds() == getMicroSeconds() / 1000.
int getMicroSeconds () const
Returns the subsecond part of the TimeStamp in microseconds.

  Static Public Member Functions
static const TimeStamp & getStartTime ()
Returns a TimeStamp representing the time at which the application started.

  Protected Attributes
int _seconds
int _microSeconds

  Static Protected Attributes
static TimeStamp _startStamp

Detailed Description

A simple TimeStamp abstraction.

Constructor & Destructor Documentation

  log4shib::TimeStamp::TimeStamp ()

Constructs a TimeStamp representing 'now'.

  log4shib::TimeStamp::TimeStamp (unsigned int seconds, unsigned int microSeconds = 0)

Constructs a TimeStamp representing the given offset since the epoch ( 00:00:00 1970/1/1 UTC).

Member Function Documentation

  int log4shib::TimeStamp::getMicroSeconds () const [inline]

Returns the subsecond part of the TimeStamp in microseconds. The actual precision of this value depends on the platform and may be in the order of milliseconds rather than microseconds.

  int log4shib::TimeStamp::getMilliSeconds () const [inline]

Returns the 'subseconds' part of the TimeStamp in milliseconds, getMilliSeconds() == getMicroSeconds() / 1000.

  int log4shib::TimeStamp::getSeconds () const [inline]

Returns the 'seconds' part of the TimeStamp.

  static const TimeStamp & log4shib::TimeStamp::getStartTime () [inline], [static]

Returns a TimeStamp representing the time at which the application started.

Member Data Documentation

  int log4shib::TimeStamp::_microSeconds [protected]

  int log4shib::TimeStamp::_seconds [protected]

  TimeStamp log4shib::TimeStamp::_startStamp [static], [protected]

Author

Generated automatically by Doxygen for log4shib from the source code.